package notifications

import (
	"context"

	me "github.com/tech/sendico/pkg/messaging/envelope"
	"github.com/tech/sendico/pkg/model"
)

type EnvelopeProcessor interface {
	GetSubject() model.NotificationEvent
	Process(ctx context.Context, envelope me.Envelope) error
}
